> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/hb-radiance-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/hb-radiance-primer/components/0_basicproperties/view_from_viewport.md).

# View from Viewport

![](/files/-Mihq_eE7q56dufmILJn)

![](/files/-Mihq_eFomFBAkSiIi2_) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-radiance/blob/master/honeybee_grasshopper_radiance/src//HB%20View%20from%20Viewport.py)

Create a Honeybee View for an image-based analysis using a Rhino viewport.

### Inputs

* **name**

Text to set the name for the modifier and to be incorporated into a unique modifier identifier.

* **viewport**

The Rhino viewport name which will be used to generate a radiance View object. Typical inputs include "Perspective", "Top", "Bottom", "Left", "Right", "Front", "Back" or any viewport name that you have saved within the Rhino file. If no text is input here, the default will be the currently active viewport (the last viewport in which you navigated).

* **view\_type**

An integer to set the view type (-vt). Choose from the choices below. Default: 0 if the viewport is in perspective; 2 if it is parallel.

```
* 0 Perspective (v)

* 1 Hemispherical fisheye (h)

* 2 Parallel (l)

* 3 Cylindrical panorama (c)

* 4 Angular fisheye (a)

* 5 Planisphere [stereographic] projection (s)For more detailed description about view types check rpict manual page (http://radsite.lbl.gov/radiance/man_html/rpict.1.html) 
```

* **refresh**

Connect a Grasshopper "button" component to refresh the orientation upon hitting the button.

### Outputs

* **view**

A Honeybee View object that can be used in a view-based recipe.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-radiance-primer/components/0_basicproperties/view_from_viewport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
